# captcha-rule-for-laravel

Laravel 10. Rule Validation для сервиса https://git.kor-elf.net/kor-elf/service-captcha.

Параметры в .env.

# CAPTCHA_API_DOMAIN
Указываем адрес к сервису для проверки от робота.

Примеры: http://captcha.localhost:9008, https://captcha.localhost, http://captcha.localhost

# CAPTCHA_PRIVATE_TOKEN
Указываем приватный токен, для проверки со стороны сервера.

# CAPTCHA_CURL_TIMEOUT
Curl timeout в секундах.
По умолчанию: 10


# CAPTCHA_ENABLE_BLADE_CAPTCHA
Включает Blade::directive "captcha" (@captcha).

По умолчанию: true

# CAPTCHA_PUBLIC_TOKEN
Указываем публичный токен, который мы получаем от сервиса для проверки от робота.

# CAPTCHA_STATIC_PATH
Указываем путь к статике.

Примеры: /captcha, https://captcha.localhost/captcha

По умолчанию: env('CAPTCHA_API_DOMAIN') . '/captcha'